> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chat-dash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Agent Leads

> Fetch all leads for a specific agent



## OpenAPI

````yaml get /agents/{agentId}/leads
openapi: 3.0.1
info:
  title: ChatDash API Documentation
  description: API Documentation for the ChatDash Server
  version: 2.0.0
servers:
  - url: https://api.chat-dash.com/v1/public
security: []
paths:
  /agents/{agentId}/leads:
    get:
      tags:
        - Leads
      summary: Fetch Agent Leads
      description: Fetch all leads for a specific agent
      parameters:
        - name: Authorization
          in: header
          required: true
          description: >-
            All requests to the ChatDash API must be validated with the agency
            API Key found on your agency profile
          schema:
            type: string
        - name: agentId
          in: path
          required: true
          description: The ID of the agent
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    _id:
                      type: string
                      description: The ID of the lead
                    phone:
                      type: string
                      description: The phone number of the lead
                    customFields:
                      type: object
                      additionalProperties:
                        type: string
                      description: >-
                        The user defined fields for the lead. Keys are field
                        names, values are field values.
                    tags:
                      type: array
                      items:
                        type: string
                      description: The IDs of the tags attached to the lead
        '500':
          description: Internal Server Error
          content: {}

````